Networking System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.x.x 1.0.5000.0 2.0.0.0 4.0.0.0 System.Enum

The class uses the enumeration to inform the Windows Sockets API of the requested protocol. Low-level driver software for the requested protocol must be present on the computer for the to be created successfully.

Specifies the protocols that the class supports.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolType Ggp

  Gateway To Gateway Protocol.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolType Icmp

  Internet Control Message Protocol.

  0
- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolType

  Internet Control Message Protocol for IPv6.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolType Idp

  Internet Datagram Protocol.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolType Igmp

  Internet Group Management Protocol.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolType IP

  Internet Protocol.

  0
- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolType

  IPv6 Authentication header. For details, see RFC 2292 section 2.2.1, available at http://www.ietf.org.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolType

  IPv6 Encapsulating Security Payload header.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolType

  Internet Protocol version 4.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolType IPv6 To be added.

  Internet Protocol version 6 (IPv6).

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolType

  IPv6 Destination Options header.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolType

  IPv6 Fragment header.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolType

  IPv6 Hop by Hop Options header.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolType

  IPv6 No next header.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolType

  IPv6 Routing header.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolType Ipx

  Internet Packet Exchange Protocol.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolType ND

  Net Disk Protocol (unofficial).

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolType Pup

  PARC Universal Packet Protocol.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolType Raw

  Raw IP packet protocol.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolType Spx

  Sequenced Packet Exchange protocol.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolType SpxII

  Sequenced Packet Exchange version 2 protocol.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolType Tcp

  Transmission Control Protocol.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolType Udp

  User Datagram Protocol.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolType Unknown

  Unknown protocol.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolType IP

  Unspecified protocol.

  0
0